Subject: Re: [PATCH net-next] r8152: add vendor/device ID pair for Microsoft Devkit

From: Greg KH <[email-masked]>
Date: Thu, 12 Jan 2023 11:00:59 +0100

On Thu, Jan 12, 2023 at 09:33:08AM +0100, Bjørn Mork wrote:
> Jakub Kicinski <[email-masked]> writes:
> > On Wed, 11 Jan 2023 13:32:28 +0000 Andre Przywara wrote:
> >> The Microsoft Devkit 2023 is a an ARM64 based machine featuring a
> >> Realtek 8153 USB3.0-to-GBit Ethernet adapter. As in their other
> >> machines, Microsoft uses a custom USB device ID.
> >> 
> >> Add the respective ID values to the driver. This makes Ethernet work on
> >> the MS Devkit device. The chip has been visually confirmed to be a
> >> RTL8153.
> >
> > Hm, we have a patch in net-next which reformats the entries:
> > ec51fbd1b8a2bca2948dede99c14ec63dc57ff6b
> >
> > Would you like this ID to be also added in stable? We could just 
> > apply it to net, and deal with the conflict locally. But if you 
> > don't care about older kernels then better if you rebase.
> 
> And now I started worrying about consequences of that reformatting...
> Maybe I didn't give this enough thought?

Just send a reformatting patch for stable as well.  I've taken patches
like that many times for other drivers/subsystems to make backports
trivial.

thanks,

greg k-h